## Команды передачи данных
|                                                                         Команды | Описание                                              |
| -------------------------------------------------------------------------------:|:----------------------------------------------------- |
|                             [MOV](Общего%20назначения/Передачи%20данных/MOV.md) | Присваивание                                          |
|                       [CMOVxx](Общего%20назначения/Передачи%20данных/CMOVxx.md) | Условное присваивание                                 |
|                           [XCHG](Общего%20назначения/Передачи%20данных/XCHG.md) | Обмен значений                                        |
|                         [BSWAP](Общего%20назначения/Передачи%20данных/BSWAP.md) | Перестановка байтов                                   |
|                           [XADD](Общего%20назначения/Передачи%20данных/XADD.md) | Обмен и сложение                                      |
|                     [CMPXCHG](Общего%20назначения/Передачи%20данных/CMPXCHG.md) | Сравнение и обмен                                     |
| [CMPXCHG8B, CMPXCHG16B](Общего%20назначения/Передачи%20данных/CMPXCHG8(16)B.md) | Сравнение и обмен 8/16 байтов                         |
|                           [PUSH](Общего%20назначения/Передачи%20данных/PUSH.md) | Поместить значение в стек                             |
|                             [POP](Общего%20назначения/Передачи%20данных/POP.md) | Взять значение из стека                               |
|               [PUSHA/PUSHAD](Общего%20назначения/Передачи%20данных/PUSHA(D).md) | Поместить значения регистров общего назначения в стек |
|                  [POPA/POPAD](Общего%20назначения/Передачи%20данных/POPA(D).md) | Взять значения регистров общего назначения из стека   |
|                                                                              IN | Прочитать значение из порта ввода/вывода              |
|                                                                             OUT | Записать значение в порт ввода/вывода                 |
|                                                                             CWD | Преобразовать Word в DWord                            |
|                                                                             CDQ | Преобразовать DWord в QWord                           |
|                                                                             CBW | Преобразовать Byte в Word                             |
|                                                                            CWDE | Преобразовать Word в DWord в регистре eax             |
|                                                                           MOVSX | Присвоить и расширить с учетом знака                  |
|                                                                           MOVZX | Присвоить и расширить нулевым значением               |

## Двоичные арифметические команды

| Команды | Описание              |
| -------:|:--------------------- |
|     ADD | Сложение              |
|     ADC | Сложение с переносом  |
|     SUB | Вычитание             |
|     SBB | Вычитание с заемом    |
|    IMUL | Знаковое умножение    |
|     MUL | Беззнаковое умножение |
|    IDIV | Знаковое деление      |
|     DIV | Беззнаковое деление   |
|     INC | Инкремент             |
|     DEC | Декремент             |
|     NEG | Смена знака           |
|     CMP | Сравнение             |